function [final] = Bending_Psi(T)
  mu = 1;
  theta0 = pi / 2;

  u = [1 0]';
  v = [0 1]';
  I6 = (T * u)' * (T * v);
  I5u = (T * u)' * (T * u);
  I5v = (T * v)' * (T * v);

  theta = acos(I6 / (sqrt(I5u) * sqrt(I5v)));
  final = (mu / 2) * (theta - theta0)^2;
end
