function [Final] = Twist_W(state)
%gets W for twist energy from 12x1 state vector
%   v0, v1, v2, v3 stack
v0 = state(1:3);
v1 = state(4:6);
v2 = state(7:9);
v3 = state(10:12);
%edges from vertices
e0 = v0 - v1;
e1 = v2 - v1;
e2 = v3 - v2;
Final = [e0 - dot(e0,e1)/dot(e1,e1)* e1, e2 - dot(e2,e1)/dot(e1,e1) * e1, e1];
end

