function t = Verify_Close_Derivatives(PK1, dWdX, dWdXConst)

%Generate a random starting state
state = rand(12,1);
%initialize any old mu and theta0
mu = 100*rand();
theta0 = 2*pi*rand();

%calculate the analytic position derivatives
derivativeDirectNC = dWdX(state)' * reshape(PK1(state, mu, theta0),9,1);
derivativeDirectConst = dWdXConst(state)' * reshape(PK1(state,mu,theta0),9,1);

diff = (derivativeDirectConst - derivativeDirectNC)'

fprintf("norm(Const-based deriv - full deriv): %f\n",norm(diff))
end

