function [P] = Theta_PK1(T)
  u = [1 0]';
  v = [0 1]';
  I6 = (T * u)' * (T * v);
  I5u = (T * u)' * (T * u);
  I5v = (T * v)' * (T * v);

  anti = [0 1; 1 0];
  uut = [1 0; 0 0];
  vvt = [0 0; 0 1];

  alpha = I6 / (sqrt(I5u) * sqrt(I5v));
  P = (1 / (sqrt(I5u) * sqrt(I5v)) * T * anti - ...
      I6 * (1 / (sqrt(I5v) * I5u^1.5) * T * uut + 1 / (sqrt(I5u) * I5v^1.5) * T * vvt));

  P = (-1.0 / sqrt(1 - alpha * alpha)) * P;
end
