function [final] = Theta_Psi(T)
  u = [1 0]';
  v = [0 1]';

  t0 = T(:,1) / norm(T(:,1));
  t1 = T(:,2) / norm(T(:,2));

  x = dot(t0,t1);
  y = norm(cross(t0,t1));

  final = acos(x);

  % can also do atan2 here too, results are the same
  %final = atan2(y,x);
end
