addpath('./util');
addpath('./Bending');
materialName = sprintf('Bending');

fprintf('============================================\n');
fprintf('Running numerical tests for %s\n', materialName);
fprintf('============================================\n');
fprintf('Numerically verifying expression for PK1:\n');
Verify_PK1(@Bending_Psi, @Bending_PK1);
fprintf('Numerically verifying expression for Hessian:\n');
Verify_Hessian(@Bending_PK1, @Bending_Hessian_Analytic);
